## org.codehaus.plexus.collections
Interface ActiveCollection

All Known Subinterfaces:
  ActiveList, ActiveMap, ActiveSet

All Known Implementing Classes:
  AbstractActiveList, AbstractActiveMap, AbstractActiveSet, DefaultActiveList, DefaultActiveMap, DefaultActiveSet

    public interface ActiveCollection

Represents a collection-style view of a `PlexusContainer` instance, which retrieves a fresh batch of component elements for each method call. This interface DOES NOT implement `Collection`, since it is used as a common parent for active `List`, `Set`, and `Map` implementations.
NOTE: All active collections are immutable, and will throw an `UnsupportedOperationException` if a mutator method is called.

Author:
  jdcasey

Method Summary
`boolean` `checkedIsEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`int` `checkedSize()` Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.lang.String` `getRole()` Retrive the role, or type of component, which is collected in the current instance.
`boolean` `isEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.
`int` `size()` Same semantics as `Collection.size()` or `Map.size()`.

Method Detail

### getRole

    java.lang.String getRole()

  Retrive the role, or type of component, which is collected in the current instance. The current collection will only "contain" elements that specify this role in their component definitions.

### isEmpty

    boolean isEmpty()

  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.

### checkedIsEmpty

    boolean checkedIsEmpty()
                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### size

    int size()

  Same semantics as `Collection.size()` or `Map.size()`.

### checkedSize

    int checkedSize()
                    throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

Copyright © 2011. All Rights Reserved.